summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-02-11 02:45:50 -0500
committerJune McEnroe <june@causal.agency>2020-02-11 02:45:50 -0500
commitd1913a4c63ae1d44b13d530b522eec0e7ebfbfd1 (patch)
tree2747c6ef852ddd8bfbafdac04c760a19c2640fad /configure
parentRemove legacy code (diff)
parentAdd INSTALLING section to README (diff)
downloadcatgirl-d1913a4c63ae1d44b13d530b522eec0e7ebfbfd1.tar.gz
catgirl-d1913a4c63ae1d44b13d530b522eec0e7ebfbfd1.zip
Merge branch 'rewrite'
Diffstat (limited to '')
-rwxr-xr-xconfigure11
1 files changed, 11 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..90e1173
--- /dev/null
+++ b/configure
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+libs='libcrypto libtls ncursesw'
+pkg-config --print-errors $libs
+
+cat >config.mk <<EOF
+CFLAGS += $(pkg-config --cflags $libs)
+LDFLAGS += $(pkg-config --libs-only-L $libs)
+LDLIBS = $(pkg-config --libs-only-l $libs)
+EOF